<?php

add_filter( 'theatre_wp_theme_mods', 'theatre_wp_mods_colors', 10, 1 );

function theatre_wp_mods_colors( $options ){

  $options[] = array(
  	'label'    	=> esc_html__( 'Colors', 'theatre-wp' ),
  	'type'		=> 'panel',
  	'id'   		=> 'panel_colors',
  	'priority'	=> 40
  );
  $options['color_bg'] = array(
  	'label'     => esc_html__( 'Background Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_bg',
  	'section'	=> 'colors',
  	'default'	=> '#181616',
  	'desc'		=> esc_html__( 'This color is used as background color', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_text'] = array(
  	'label'     => esc_html__( 'Text Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_text',
  	'section'	=> 'colors',
  	'default'	=> '#ffffff',
  	'desc'		=> esc_html__( 'This color is used for general text', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_primary'] = array(
  	'label'     => esc_html__( 'Primary Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_primary',
  	'section'	=> 'colors',
  	'default'	=> '#c9ac8c',
  	'desc'		=> esc_html__( 'This color is used for buttons, links and other visual elements', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_links'] = array(
  	'label'     => esc_html__( 'Links Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_links',
  	'section'	=> 'colors',
  	'default'	=> '#cccccc',
  	'desc'		=> esc_html__( 'This color is used for text links', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__( 'Page Heading', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'section_colors_page_heading',
  	'panel'		=> 'panel_colors',
  	'priority'	=> 15
  );
  $options['color_page_heading'] = array(
  	'label'     => esc_html__( 'Page Heading Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_page_heading',
  	'section'	=> 'section_colors_page_heading',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for the page heading', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_page_subtitle'] = array(
  	'label'     => esc_html__( 'Page Subtitle Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_page_subtitle',
  	'section'	=> 'section_colors_page_heading',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for the page subtitle & excerpt', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_page_heading_bg'] = array(
  	'label'     => esc_html__( 'Page Heading Background Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_page_heading_bg',
  	'section'	=> 'section_colors_page_heading',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for the page heading background', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__( 'Headings', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'section_colors_headings',
  	'panel'		=> 'panel_colors',
  	'priority'	=> 15
  );
  $options['color_h1'] = array(
  	'label'     => esc_html__( 'H1 Heading Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_h1',
  	'section'	=> 'section_colors_headings',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for H1 text. Leave empty to inherit the links colors.', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_h2'] = array(
  	'label'     => esc_html__( 'H2 Heading Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_h2',
  	'section'	=> 'section_colors_headings',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for H2 text. Leave empty to inherit the links colors.', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_h3'] = array(
  	'label'     => esc_html__( 'H3 Heading Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_h3',
  	'section'	=> 'section_colors_headings',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for H3 text. Leave empty to inherit the links colors.', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_h4'] = array(
  	'label'     => esc_html__( 'H4 Heading Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_h4',
  	'section'	=> 'section_colors_headings',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for H4 text. Leave empty to inherit the links colors.', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_h5'] = array(
  	'label'     => esc_html__( 'H5 Heading Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_h5',
  	'section'	=> 'section_colors_headings',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for H5 text. Leave empty to inherit the links colors.', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_h6'] = array(
  	'label'     => esc_html__( 'H6 Heading Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_h6',
  	'section'	=> 'section_colors_headings',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for H6 text. Leave empty to inherit the links colors.', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  /*
  $options[] = array(
  	'label'    	=> esc_html__( 'Header', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'section_colors_header',
  	'panel'		=> 'panel_colors',
  	'priority'	=> 10
  );
  $options[] = array(
  	'label'     => esc_html__( 'Background Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_header_bg',
  	'section'	=> 'section_colors_header',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for the header background', 'theatre-wp' )
  );
  $options[] = array(
  	'label'     => esc_html__( 'Text Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_header',
  	'section'	=> 'section_colors_header',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for the header text', 'theatre-wp' )
  );
  */
  $options[] = array(
  	'label'    	=> esc_html__( 'Navigation', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'section_colors_navigation',
  	'panel'		=> 'panel_colors',
  	'priority'	=> 10
  );
  $options['color_navigation'] = array(
  	'label'     => esc_html__( 'Text Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_navigation',
  	'section'	=> 'section_colors_navigation',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for general text in the menu', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_navigation_active'] = array(
  	'label'     => esc_html__( 'Active Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_navigation_active',
  	'section'	=> 'section_colors_navigation',
  	'default'	=> '',
  	'desc'		=> esc_html__( 'This color is used for the active menu element', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options['color_navigation_bg'] = array(
  	'label'     => esc_html__( 'Background Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_navigation_bg',
  	'section'	=> 'section_colors_navigation',
  	'default'	=> '#111111',
  	'desc'		=> esc_html__( 'This color is used for menu background', 'theatre-wp' ),
    'transport' => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__( 'Footer', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'section_colors_footer',
  	'panel'		=> 'panel_colors',
  	'priority'	=> 20
  );
  $options['color_footer_bg'] = array(
  	'label'     => esc_html__( 'Background Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_footer_bg',
  	'section'	=> 'section_colors_footer',
  	'default'	=> '#010100',
  	'desc'		=> esc_html__( 'This color is used for footer background', 'theatre-wp' )
  );
  $options['color_footer'] = array(
  	'label'     => esc_html__( 'Text Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_footer',
  	'section'	=> 'section_colors_footer',
  	'default'	=> '#a7a7a7',
  	'desc'		=> esc_html__( 'This color is used for general text in the footer', 'theatre-wp' )
  );
  $options['color_footer_links'] = array(
  	'label'     => esc_html__( 'Links Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_footer_links',
  	'section'	=> 'section_colors_footer',
  	'default'	=> '#ffffff',
  	'desc'		=> esc_html__( 'This color is used for links in the footer', 'theatre-wp' )
  );
  $options['color_footer_titles'] = array(
  	'label'     => esc_html__( 'Titles Color', 'theatre-wp' ),
  	'type'		=> 'coloor',
  	'id'   		=> 'color_footer_titles',
  	'section'	=> 'section_colors_footer',
  	'default'	=> '#ffffff',
  	'desc'		=> esc_html__( 'This color is used for footer titles', 'theatre-wp' )
  );

  return $options;

}

?>
